Skip to main content
Version: 1.6.2

HMAC SHA256 - Get the export ID of a key share

GET 

/hmac-sha256/export/exportId

notice

This API endpoint part of the Exchange API Vault. Please contact the Sodot team for access.

authorization

This API endpoint requires an API Key with at least one of the following Roles: KeysManager | KeysExporter

Returns the export_id of the key share associated with the given key_id. The export_id is used to export the complete private key. You should call this function before calling full-export in the key recpient device. (only the device with this export_id will get the exported private key)

Request

Query Parameters

    key_name string

    Provide EITHER this OR key_id, but NOT BOTH.

    key_id KeyId

    Provide EITHER this OR key_name, but NOT BOTH.

Header Parameters

    AUTHORIZATION stringrequired

    The AUTHORIZATION header must be set to the API Key of the user. The API Key is returned when a new user is created using the /admin/create-user endpoint.

Responses

Schema

    export_idstringrequired